Subject: mboned: AD evaluation of: draft-ietf-mboned-msdp-mib-01.txt (Experimental )

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Wed, 22 Mar 2006 18:08:39 +0100

I think the doc is ready for IESG evaluation.
If it were standards track I would have quite some concerns,
but given the explanation of existing implementations and the
fact that this is targeted as experimental, I think it is
"good enough".

I have discussed a few concerns I had with the authors/WG chairs
and the below write-up I have prepared for the IESG includes
a few RFC-Editor notes to address my concerns.
The authors are OK with that, and assume the WG can accept these
too, unless we hear  otherwise very soon.

Bert

Technical Summary
 
 This memo defines an experimental portion of the Management Information
 Base (MIB) for use with network management protocols in the Internet
 community.  In particular, it describes managed objects used for
 managing Multicast Source Discovery Protocol (MSDP) (RFC 3618) speakers.
 
Working Group Summary
 
 The WG has consensus to publish this document as an Experimental RFC.
 There are existing implementations of this MIB module, which date back 
 several years, and so usage of IpAddress SYNTAX and DisplayString
 in this (experimental) MIB module is a conscious decision and acceptable 
 at experimental level. The implementations are specific for IPv4 and so
 is the MIB module.
 
Protocol Quality
 
 Quick check with MIB doctors list for this experiment was done.
 Bert Wijnen reviewed this document for the IESG.

Note to RFC Editor
 
- bottom of page 6, change module name:

 OLD:
     DRAFT-MSDP-MIB DEFINITIONS ::= BEGIN
 NEW:
     MSDP-MIB DEFINITIONS ::= BEGIN

- On page 10 at the bootom, replace:

  OLD:
   msdpRequestsStatus OBJECT-TYPE
       SYNTAX     RowStatus
       MAX-ACCESS read-create
  NEW:
   msdpRequestsStatus OBJECT-TYPE
       SYNTAX     RowStatus { active(1), destroy(6) }
       MAX-ACCESS read-create
_______________________________________________________________
user interface: http://darkwing.uoregon.edu/~llynch/mboned.html
web archive:  http://darkwing.uoregon.edu/~llynch/mboned/